﻿using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace TeamSample.Entities
{
    public class Player
    {
        public int Id { get; set; }
        [Required, MaxLength(75)]
        public string Name { get; set; }
        public int Age { get; set; }

        public int TeamId { get; set; }
        public Team Team { get; set; }

        public ICollection<PlayerPosition> PlayerPositions { get; set; }
    }
}
